public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Akinori Hattori" <hattya@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-terms/mlterm/
Date: Sun, 10 Apr 2016 13:15:06 +0000 (UTC)	[thread overview]
Message-ID: <1460294088.e132ef5abfa53b3dd694ecd361f6edf8f9c3d349.hattya@gentoo> (raw)

commit:     e132ef5abfa53b3dd694ecd361f6edf8f9c3d349
Author:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 10 13:14:48 2016 +0000
Commit:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
CommitDate: Sun Apr 10 13:14:48 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e132ef5a

x11-terms/mlterm: new upstream release

Package-Manager: portage-2.2.26

 x11-terms/mlterm/Manifest            |   1 +
 x11-terms/mlterm/mlterm-3.7.0.ebuild | 116 +++++++++++++++++++++++++++++++++++
 2 files changed, 117 insertions(+)

diff --git a/x11-terms/mlterm/Manifest b/x11-terms/mlterm/Manifest
index a88631b..bdc37f6 100644
--- a/x11-terms/mlterm/Manifest
+++ b/x11-terms/mlterm/Manifest
@@ -1,2 +1,3 @@
 DIST mlterm-3.4.5.tar.gz 3659801 SHA256 7df146099e1d578caddaeb7e93459f96ca1e2381fcc51157a25fe00336072752 SHA512 a85d092680dfe5498a90a4ad4935d441e41efa4ce3aa26f2e8897ef254f9c20d053bb045b5709626ee5bb4c9fdecda9f311a26db7fac6d6369d50336af7ab1f5 WHIRLPOOL 4533009727ad30b94b9b2814a17464975986df7eb2a42b383e654b1233651455a1ff938fae5273af350ccce29cbe08c7e68d26237a511ab7e3fcc45d05665b58
 DIST mlterm-3.6.3.tar.gz 3677639 SHA256 021935df82fd63a280500185e7c4b2ae833bd8c1f58e4386d0d772c55d4d2743 SHA512 bbc6c61422f81a793b64fcbabb972765f7e544c7d4fc3d8874ab78a25fe8e7a97dc96c3d44e582127dde8822e7c254ed58004535524e361a2a0d91410e7ef027 WHIRLPOOL ebbed33cddcab4ca1cc49634b917b9a36077f64ba9b15dccc044c464b5696d4e8b3bac74c74ddcb42e2559c25d1e6e34991150b66325eb42daf9cf90236f3af0
+DIST mlterm-3.7.0.tar.gz 3685301 SHA256 4a81d9e1957e4f0b8f8e0838ddad0cf4776fabc73465d886f2211bb8d990c339 SHA512 93dd7e5e15154f1d8e902069f70fe5b50cb30b948ae444bba76fc3f021a9a5d169837efb8e5bb94855eeaf04cecde9323b30330f74ed7929f4e576aab2c6e98b WHIRLPOOL c30a8eb64f4b9f3d1dcd65775ceb63e94bcbfb97c97475895c9eeae981a2d463bb81bc3b8cd4d156c4880ca9e7c4c5a6ba595fdb7409b3c5127085ac8dddf1aa

diff --git a/x11-terms/mlterm/mlterm-3.7.0.ebuild b/x11-terms/mlterm/mlterm-3.7.0.ebuild
new file mode 100644
index 0000000..93f1a14
--- /dev/null
+++ b/x11-terms/mlterm/mlterm-3.7.0.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+inherit eutils
+
+DESCRIPTION="A multi-lingual terminal emulator"
+HOMEPAGE="http://mlterm.sourceforge.net/"
+SRC_URI="mirror://sourceforge/mlterm/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE="bidi cairo canna debug fcitx freewnn gtk ibus libssh2 m17n-lib nls regis scim static-libs uim utempter xft"
+
+RDEPEND="x11-libs/libICE
+	x11-libs/libSM
+	x11-libs/libX11
+	bidi? ( dev-libs/fribidi )
+	cairo? ( x11-libs/cairo[X] )
+	canna? ( app-i18n/canna )
+	fcitx? ( app-i18n/fcitx )
+	freewnn? ( app-i18n/freewnn )
+	gtk? ( >=x11-libs/gtk+-2:= )
+	ibus? ( app-i18n/ibus )
+	libssh2? ( net-libs/libssh2 )
+	m17n-lib? ( dev-libs/m17n-lib )
+	nls? ( virtual/libintl )
+	regis? (
+		|| (
+			media-libs/sdl-ttf
+			media-libs/sdl2-ttf
+		)
+	)
+	scim? ( app-i18n/scim )
+	uim? ( app-i18n/uim )
+	utempter? ( sys-libs/libutempter )
+	xft? ( x11-libs/libXft )"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig
+	nls? ( sys-devel/gettext )"
+
+DOCS=( doc/{en,ja} )
+
+src_prepare() {
+	# default config
+	sed -i \
+		-e "/ icon_path =/aicon_path = ${EPREFIX}/usr/share/pixmaps/mlterm-icon.svg" \
+		-e "/ scrollbar_view_name =/ascrollbar_view_name = sample" \
+		etc/main
+
+	sed -i \
+		-e "/^LIBS/s/$/ -lm/" \
+		tool/registobmp/Makefile.in
+
+	default
+}
+
+src_configure() {
+	local myconf=(
+		--disable-static
+		--with-type-engines=xcore$(usex xft ",xft" "")$(usex cairo ",cairo" "")
+		--enable-optimize-redrawing
+		--enable-vt52
+		$(use_enable bidi fribidi)
+		$(use_enable canna)
+		$(use_enable debug)
+		$(use_enable fcitx)
+		$(use_enable freewnn wnn)
+		$(use_enable ibus)
+		$(use_enable libssh2 ssh2)
+		$(use_enable m17n-lib m17nlib)
+		$(use_enable nls)
+		$(use_enable scim)
+		$(use_enable uim)
+		$(use_enable utempter utmp)
+	)
+
+	local scrollbars="sample,extra"
+	local tools="mlclient,mlcc,mlfc,mlmenu,mlterm-zoom"
+	if use gtk; then
+		myconf+=(--with-imagelib=gdk-pixbuf)
+		if has_version x11-libs/gtk+:3; then
+			myconf+=(--with-gtk=3.0)
+		else
+			myconf+=(--with-gtk=2.0)
+		fi
+		scrollbars+=",pixmap_engine"
+		tools+=",mlconfig,mlimgloader"
+	fi
+	if use regis; then
+		tools+=",registobmp"
+	fi
+	myconf+=(--with-scrollbars="${scrollbars}")
+	myconf+=(--with-tools="${tools}")
+
+	addpredict /dev/ptmx
+	econf "${myconf[@]}"
+}
+
+src_test() {
+	:
+}
+
+src_install () {
+	default
+	prune_libtool_files
+
+	docinto contrib/icon
+	dodoc contrib/icon/README
+
+	doicon contrib/icon/mlterm*
+	make_desktop_entry mlterm mlterm mlterm-icon "System;TerminalEmulator"
+}


             reply	other threads:[~2016-04-10 13:15 UTC|newest]

Thread overview: 83+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-04-10 13:15 Akinori Hattori [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-15 22:59 [gentoo-commits] repo/gentoo:master commit in: x11-terms/mlterm/ Eli Schwartz
2023-12-11 13:33 Yixun Lan
2023-10-23 13:28 Akinori Hattori
2023-10-01 18:14 Arthur Zamarin
2023-09-08  9:29 Sam James
2023-09-08  9:29 Sam James
2023-09-08  9:29 Sam James
2023-04-15  1:52 Akinori Hattori
2022-11-05  0:59 Akinori Hattori
2022-10-04  7:09 Sam James
2022-08-18  2:53 Matt Turner
2022-08-02  7:48 Joonas Niilola
2022-03-22 18:43 Jakov Smolić
2022-02-09 13:07 Akinori Hattori
2021-07-17 11:26 David Seifert
2021-06-30 13:36 Akinori Hattori
2021-06-30 13:36 Akinori Hattori
2021-06-24 23:27 Sam James
2021-06-14  6:40 Sergei Trofimovich
2021-06-14  6:39 Sergei Trofimovich
2021-06-13  6:28 Agostino Sarubbo
2021-06-12 17:13 Sam James
2021-06-12  9:24 Sam James
2021-05-22 12:02 Andreas Sturmlechner
2020-11-16 14:13 Akinori Hattori
2020-11-14 20:32 Sam James
2020-11-12  7:45 Sergei Trofimovich
2020-11-12  7:41 Sergei Trofimovich
2020-11-12  0:35 Thomas Deutschmann
2020-11-10 13:25 Akinori Hattori
2020-05-12 15:04 Akinori Hattori
2020-05-12  6:39 Agostino Sarubbo
2020-05-11 16:46 Agostino Sarubbo
2020-05-11 11:28 Agostino Sarubbo
2020-05-11  9:43 Agostino Sarubbo
2020-05-10  9:02 Akinori Hattori
2020-05-10  9:02 Akinori Hattori
2020-01-09 14:04 Akinori Hattori
2019-09-21  2:59 Akinori Hattori
2019-09-17 14:15 Akinori Hattori
2019-09-16 22:03 Sergei Trofimovich
2019-09-16 22:02 Sergei Trofimovich
2019-09-16  7:57 Agostino Sarubbo
2019-09-16  7:56 Agostino Sarubbo
2019-09-14  9:48 Akinori Hattori
2019-09-14  9:48 Akinori Hattori
2018-12-08 14:53 Akinori Hattori
2018-07-22 12:41 Akinori Hattori
2018-07-22 12:41 Akinori Hattori
2018-06-24 12:06 Michał Górny
2018-06-23  8:25 Akinori Hattori
2018-06-23  8:25 Akinori Hattori
2018-05-26  8:24 Mikle Kolyada
2018-05-26  8:22 Mikle Kolyada
2018-04-18 20:41 Sergei Trofimovich
2018-03-30 18:46 Aaron Bauman
2018-03-20 13:07 Akinori Hattori
2018-03-20 13:07 Akinori Hattori
2017-12-09 13:02 Akinori Hattori
2017-12-09 13:02 Akinori Hattori
2017-09-16 12:27 Andreas Sturmlechner
2017-08-01 12:20 Akinori Hattori
2017-07-23 15:17 Akinori Hattori
2017-07-23 15:04 Akinori Hattori
2017-06-18 13:07 Akinori Hattori
2017-04-27 10:36 Agostino Sarubbo
2017-04-25  7:21 Jeroen Roovers
2017-04-23 10:27 Agostino Sarubbo
2017-04-19 16:01 Michael Weber
2017-02-06 13:49 Akinori Hattori
2017-02-06 13:49 Akinori Hattori
2016-09-15 14:07 Akinori Hattori
2016-09-15 14:07 Akinori Hattori
2016-05-15  8:43 Patrice Clement
2016-05-13 13:38 Akinori Hattori
2016-05-13 13:38 Akinori Hattori
2016-02-27  8:09 Akinori Hattori
2016-02-27  3:15 Akinori Hattori
2016-02-27  3:05 Akinori Hattori
2015-11-29 15:34 Akinori Hattori
2015-11-29 15:18 Akinori Hattori
2015-09-11 14:35 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1460294088.e132ef5abfa53b3dd694ecd361f6edf8f9c3d349.hattya@gentoo \
    --to=hattya@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox